// *********************************************************
// Header file PQ.h for the ADT priority queue.
// Heap implementation.
// *********************************************************
#include "Heap.h"  // ADT heap operations
#include "PQueueException.h"
typedef HeapItemType PQueueItemType;

class PriorityQueue
{
public:
   // default constructor, copy constructor, and
   // destructor are supplied by the compiler

// priority-queue operations:
   virtual bool pqIsEmpty() const;
   virtual void pqInsert(const PQueueItemType& newItem)
      throw(PQueueException);
   virtual void pqDelete(PQueueItemType& PQueueItemType)
      throw(PQueueException);

private:
   Heap h;
};  // end PriorityQueue class
// End of header file.
